using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Saltosion.OneWeapon.Utils;

namespace Saltosion.OneWeapon.GUI {
    public class GoreToggler : MonoBehaviour {
        public GameObject GoreObject;
        public GameObject CensoredObject;

        private void Update() {
            GoreObject.SetActive(!Options.CensorGore);
            CensoredObject.SetActive(Options.CensorGore);
        }

        public void ToggleGore() {
            Options.CensorGore = !Options.CensorGore;
        }
    }
}
